Resolido Docs
Skills

List skills

GET
/skills

System and custom skills (actions) available to AI agents.

Authorization

bearer skills:read
headerAuthorizationBearer <token>

API key (rsl_live_…) from Settings → Developers.

Scope: skills:read

Response Body

Success

application/json
  1. response
data*array<>
curl -X GET "https://example.com/skills"
{  "data": [    {      "id": "string",      "name": "string",      "description": "string",      "instructions": "string",      "category": "string",      "isSystem": true,      "isEnabled": true,      "type": "string",      "effect": "read",      "api": {        "url": "string",        "method": "string",        "headerNames": [          "string"        ],        "hasSecret": true,        "keyLocation": "string",        "inputFields": [          {            "name": "string",            "type": "string",            "required": true,            "description": "string"          }        ],        "timeoutMs": 0      }    }  ]}